Page MenuHomePhabricator

[mips] MIPS branch instructions offset fix in disassembler
Needs RevisionPublic

Authored by ipetkovic on Oct 21 2014, 1:57 AM.

Details

Summary

This patch corrects the way llvm disassembler computes the offset of MIPS branch instructions.

Diff Detail

Event Timeline

ipetkovic updated this revision to Diff 15171.Oct 21 2014, 1:57 AM
ipetkovic retitled this revision from to [mips] MIPS branch instructions offset fix in disassembler.
ipetkovic updated this object.
ipetkovic edited the test plan for this revision. (Show Details)
ipetkovic added a subscriber: petarj.
dsanders accepted this revision.Nov 3 2014, 2:52 AM
dsanders edited edge metadata.

LGTM.

This revision is now accepted and ready to land.Nov 3 2014, 2:52 AM
seanbruno requested changes to this revision.Sep 26 2016, 7:00 AM
seanbruno added a reviewer: seanbruno.
seanbruno added a subscriber: seanbruno.

This looks to have been committed already, this review should be closed IMO.

This revision now requires changes to proceed.Sep 26 2016, 7:00 AM
dsanders resigned from this revision.Jul 18 2019, 7:04 PM